Kolm skeemi
Iga skeem on lühike tekst, mille telefon oskab õigele rakendusele edasi anda. mailto: avab e-posti rakenduse, tel: avab numbrivaliku ja sms: avab sõnumirakenduse, kus saaja ja vahel ka sõnum on juba täidetud.
Telefoninumbrid töötavad kõige paremini rahvusvahelises vormingus plussmärgi ja riigikoodiga, näiteks +15035550123, nii et kood töötab ka teiste riikide külastajatele.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (vanem tava, mida loetakse endiselt laialdaselt)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (vanem e-posti tava)
Sõnumi teksti kodeerimine
Teemad ja sõnumi sisu mailto ja sms linkides tuleb protsendikodeerida, nii et tühik muutub %20-ks ja teksti sees olev ampersand %26-ks. Kodeerimata märgid võivad sõnumi lühemaks lõigata või lingi katki teha.
Platvormid ei ole sms-i body-parameetrit alati ühtemoodi tõlgendanud, mis on üks põhjus, miks vanem SMSTO: vorm on QR-generaatorites endiselt levinud. Töökindel kontroll on testimine nii iPhone'is kui ka Androidis enne printimist.
Mida need koodid ei suuda
QR-kood ei saa ise e-kirja saata, tekstisõnumit saata ega kõnet teha. See avab ainult rakenduse täidetud väljadega ja skannija otsustab, kas vajutada saatmist või helistamist.
Kuna saaja on enne saatmist nähtav, peaksid inimesed kontrollima, et see vastab ootusele. Kood, mis täidab sõnumi ette lisatasulisele numbrile või tundmatule aadressile, on hoiatusmärk.